Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 143133 - media-gfx/BricsCad: Autocad clone based on intellicad
Summary: media-gfx/BricsCad: Autocad clone based on intellicad
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://www.bricscad.com/
Whiteboard: sunrise suggested
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2006-08-07 13:14 UTC by karpi
Modified: 2016-04-02 21:02 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
bricscad-6.0.0019.ebuild (bricscad-6.0.0019.ebuild,1.07 KB, text/plain)
2006-08-07 13:18 UTC, karpi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description karpi 2006-08-07 13:14:53 UTC
First cad on linux!!! Truth, it is closed binary, truth it runs on wine. But. It RUNS. Its Autocad clone based on intellicad. Uses dwg as its native format (throughout opendwg libs). Works in 2D and even 3D too. And: You can take 30-day trial for free.
screenshot here :o)
http://gismaster.liberix.cz/~karpi/sshots/desktop_bricscad.png
Comment 1 karpi 2006-08-07 13:18:42 UTC
Created attachment 93689 [details]
bricscad-6.0.0019.ebuild

here is simple initial ebuild. Into x11-misc/ i suppose. It works for me
Comment 2 John Herdy 2006-08-14 13:37:27 UTC
thanks for the ebuild, there are some improvements neccessary, the desktop file for the start menu isn't in the correct place so nothing is added to the start menu, a mime link to dwg files would be a nice addition as well. i will patch the ebuild for this, but first i need to get this program running.

after i emerge this ebuild and run bricscad i get "wine: could not load L"Z:\\opt\\bricscad\\icad.exe.so": Bad EXE format for"

i'm using default wine configuration and version app-emulation/wine-0.9.19

do you have some details on how to get this running?
Comment 3 karpi 2006-08-14 15:45:16 UTC
I have some symlink there, you probably need this:
alnagon ~ % cd ~/.wine/dosdevices/     
alnagon ~/.wine/dosdevices % ln -s / z\:

Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-10 16:56:21 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.
Heuristics show that no Gentoo developer has commented on your ebuild.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 5 Amy Liffey gentoo-dev 2016-04-02 19:23:44 UTC
Hello, is this still valid bug?

I can see there was no activity since sunrise was suggested.

Thanks

Amy
Comment 6 karpi 2016-04-02 20:28:35 UTC
hello,
I think, it shoud be closed.
Comment 7 Amy Liffey gentoo-dev 2016-04-02 21:02:33 UTC
Thanks for your reply.

Amy